Documentation · API reference
GET/api/v1/sites/{site}/export

The site as a .zip: site.json and daily.csv

The site as a `.zip`: `site.json` and `daily.csv`.

Parameters

sitein the address
neededThe site's id or name

The answer

Status 200, with a file

Asking

With your token from Settings
curl https://tidekeeper.eu/api/v1/sites/example.org/export \
    -H "Authorization: Bearer $TIDEKEEPER_TOKEN"
With your token from Settings
const answer = await fetch("https://tidekeeper.eu/api/v1/sites/example.org/export", {
  headers: {
    Authorization: `Bearer ${process.env.TIDEKEEPER_TOKEN}`,
  },
}).then((r) => r.text());